************************************************************************
* File: max.for
************************************************************************
* Scopo: uso di IF-THEN-ELSE-ENDIF
************************************************************************

      PROGRAM max
* Legge due numeri interi e stampa il maggiore

* Istruzioni dichiarative
      IMPLICIT NONE

*   Dichiarazioni variabili
      INTEGER primo, secondo, maggiore

* Istruzioni esecutive
      WRITE (*,*)
     $      'Inserisci due numeri interi, poi schiaccia il tasto RETURN'
      READ (*,*) primo,secondo
      IF (primo .GT. secondo) THEN
        maggiore = primo
      ELSE
        maggiore = secondo
      ENDIF
      WRITE (*,*) 'Il maggiore dei due valori inseriti e`: ', maggiore
      STOP

      END
